Subject: Re: [bug#73856] [PATCH 0/8] gnu: Add cyme.

From: Efraim Flashner <[email-masked]>
Date: Mon, 21 Oct 2024 08:20:17 +0300

I replaced the bundled libusb in rust-libusb1-sys with our packaged one,
which involved some adjustments to the other packages, and added the
missing cargo-development-inputs so the other packages could build.

I also installed the manpage and the shell completions for cyme.

Thanks! Pushed to the rust-team branch.

On Fri, Oct 18, 2024 at 01:51:24AM +0200, Wilko Meyer wrote:
> Hi Guix,
> 
> Cyme is a quite nice tool, similiar to lsusb, that helps listing information
> on a systems USB devices and buses. It didn't have too many dependencies so I
> decided to package it; builds and works fine on my system so far:
> 
> [/home/wilko/devel/guix]% ./pre-inst-env guix build --rounds=2 cyme
> /gnu/store/kk1bx529bfd9wz3c17hqc5shfmak6gwm-cyme-1.7.0
> 
> Cheers!
> 
> Wilko Meyer (8):
>   gnu: Add rust-libusb1-sys-0.7.
>   gnu: Add rust-rusb-0.9.
>   gnu: Add rust-serde-with-2.
>   gnu: Add rust-serde-with-macros-2.
>   gnu: Add rust-udev-0.8.
>   gnu: Add rust-udevrs-0.3.
>   gnu: Add rust-usb-ids-1.
>   gnu: Add cyme.
> 
>  gnu/packages/crates-io.scm | 166 ++++++++++++++++++++++++++++++++++++-
>  gnu/packages/rust-apps.scm |  45 ++++++++++
>  2 files changed, 207 insertions(+), 4 deletions(-)
> 
> 
> base-commit: 91dd354a10edbb0d3d4bc3220b671504eda871a7
> -- 
> 2.46.0
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted